bugCompact Disc Input and Control Library - Bugs: bug #41809, Please make libcdio use the very...

 
 

bug #41809: Please make libcdio use the very latest cdparanoia III 10.2 including cache management

Submitted by:  None
Submitted on:  Sat 08 Mar 2014 03:39:32 PM UTC  
 
Category: feature requestSeverity: 5 - Average
Item Group: NoneStatus: Fixed
Privacy: PublicAssigned to: Rocky Bernstein <rocky>
Originator Email: -unavailable-Open/Closed: Closed

Add a New Comment (Rich MarkupRich Markup):
   

You are not logged in

Please log in, so followups can be emailed to you.

 

(Jump to the original submission Jump to the original submission)

Wed 04 Jun 2014 01:01:14 PM UTC, comment #7:

Looks like a couple of months have passed. Great work!

Rocky Bernstein <rocky>
Project AdministratorIn charge of this item.
Tue 03 Jun 2014 08:56:50 PM UTC, comment #6:

Patches to upgrade libcdio to cdparanoia III 10.2 are now availble at the libcdio patch tracker:

- cdparanoia 10.1 upgrade: https://savannah.gnu.org/patch/index.php?8453
- cdparanoia 10.2 upgrade: https://savannah.gnu.org/patch/index.php?8459

Robert Kausch <enzo1982>
Project Member
Sun 09 Mar 2014 12:24:26 AM UTC, comment #5:

> why can it wait for a couple of months?


The way open-source code often works is that things have to important enough to interest someone to work on it. The best bid right now is a couple of months. If you want to see this happen sooner, then perhaps you should consider working on it.

At this point the usual response is: well no because I don't know anything about <fill in the blank>.

Consider that many of the people who have so far worked on this project, myself included, didn't know squat about <fill in some other blank>. If something is important enough, you can learn it. If you need help with specific aspects the paranoia port of libcdio, I know there will be people willing to help.

Rocky Bernstein <rocky>
Project AdministratorIn charge of this item.
Sun 09 Mar 2014 12:04:50 AM UTC, comment #4:

Hello,

why can it wait for a couple of months?

cdparanoia III 10.2 is a substantial upgrade and it's new cache manangement makes it a lot better than older versions of cdparanoia.

For more info, see:

http://lists.xiph.org/pipermail/paranoia/2009-June/001575.html
http://www.hydrogenaudio.org/forums/index.php?showtopic=65873
https://www.xiph.org/paranoia/news.html

IMHO libcdio should be upgraded ASAP.

It would be much appreciated.

Regards

Anonymous
Sat 08 Mar 2014 11:46:02 PM UTC, comment #3:

We'll see if anyone else is up for this. But I have a feeling though that it can wait for a couple of months.

Rocky Bernstein <rocky>
Project AdministratorIn charge of this item.
Sat 08 Mar 2014 05:35:26 PM UTC, comment #2:

Hi Rocky,

As I wrote on the SourceForge thread, I'd be willing to do it in order to get cache management support for fre:ac 1.1.

However, it's not a top priority for me right now, so I would probably start in a few months only. I wouldn't mind if someone else implemented it in the meantime. ;)

Robert

Robert Kausch <enzo1982>
Project Member
Sat 08 Mar 2014 04:18:31 PM UTC, comment #1:

Do you or any of the people in the other threads want to make a stab at adding the code?

Rocky Bernstein <rocky>
Project AdministratorIn charge of this item.
Sat 08 Mar 2014 03:39:32 PM UTC, original submission:

Hello,

I come here because of an application that utilizes libcdio.

The application is called "fre:ac".

Some time ago the developer of this application was asked to add cdparanoia III 10.2 cache management functionality to the Windows version of fre:ac by integrating it to CDRip, the ripping library that is used by fre:ac on Windows.

The thread about this is over there:

http://sourceforge.net/p/bonkenc/feature-requests/53/

In the course of that thread, it turned out that fre:ac is using libcdio as ripping library on other platforms than Windows and that libcdio is based on the old and outdated cdparanoia III 9.8 (which does not have cache management and so on).

So, yesterday i opened a feature request for fre:ac, asking it's developer to drop libcdio for fre:ac on Linux and use the native cdparanoia instead, see:

http://sourceforge.net/p/bonkenc/feature-requests/64/

You can read his reply over there.

Briefly speaking, he suggested to rather ask the libcdio developers to make libcdio use the very latest cdparanoia III 10.2 including cache management, instead of dropping it from fre:ac.

So, that's what I am doing hereby:

Could you please make libcdio make use the very latest cdparanoia III 10.2 including cache management?

It would be much appreciated.

Regards

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach File(s):
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by enzo1982 (Posted a comment)
  • -unavailable- added by rocky (Posted a comment)
  •  

    Do you think this task is very important?
    If so, you can click here to add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 3 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Wed 04 Jun 2014 01:01:33 PM UTCrockyOpen/ClosedOpen=>Closed
    Wed 04 Jun 2014 01:01:14 PM UTCrockyStatusNone=>Fixed
      Assigned toNone=>rocky

    Back to the top


    Powered by Savane 3.1-cleanup